## org.eclipse.emf.codegen.util
Class ImportManager

    java.lang.Object
      org.eclipse.emf.codegen.util.ImportManager

    public class ImportManager

extends java.lang.Object

Field Summary
`protected java.util.HashSet<java.lang.String>` `importedPackages`
`protected java.util.SortedSet<java.lang.String>` `imports`
`protected java.util.HashSet<java.lang.String>` `javaLangImports`
`protected java.util.HashMap<java.lang.String,java.lang.String>` `shortNameToImportMap`

Constructor Summary
`ImportManager(java.lang.String compilationUnitPackage)`

Method Summary
`void` `addCompilationUnitImports(java.lang.String compilationUnitContents)`
`void` `addImport(java.lang.String qualifiedName)`
`void` `addImport(java.lang.String packageName, java.lang.String shortName)`
`void` `addJavaLangImports(java.util.List<java.lang.String> javaLangClassNames)`
`void` `addMasterImport(java.lang.String packageName, java.lang.String shortName)`
`void` `addPseudoImport(java.lang.String qualifiedName)`
`java.lang.String` `computeSortedImports()`
`java.lang.String` `getImportedName(java.lang.String qualifiedName)`
`java.util.Collection<java.lang.String>` `getImports()`
`boolean` `hasImport(java.lang.String shortName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imports

    protected java.util.SortedSet<java.lang.String> imports

### shortNameToImportMap

    protected java.util.HashMap<java.lang.String,java.lang.String> shortNameToImportMap

### javaLangImports

    protected java.util.HashSet<java.lang.String> javaLangImports

### importedPackages

    protected java.util.HashSet<java.lang.String> importedPackages

Constructor Detail

### ImportManager

    public ImportManager(java.lang.String compilationUnitPackage)

Method Detail

### getImports

    public java.util.Collection<java.lang.String> getImports()

### getImportedName

    public java.lang.String getImportedName(java.lang.String qualifiedName)

### addImport

    public void addImport(java.lang.String packageName,
                          java.lang.String shortName)

### addImport

    public void addImport(java.lang.String qualifiedName)

### addMasterImport

    public void addMasterImport(java.lang.String packageName,
                                java.lang.String shortName)

### addJavaLangImports

    public void addJavaLangImports(java.util.List<java.lang.String> javaLangClassNames)

### hasImport

    public boolean hasImport(java.lang.String shortName)

### addCompilationUnitImports

    public void addCompilationUnitImports(java.lang.String compilationUnitContents)

### addPseudoImport

    public void addPseudoImport(java.lang.String qualifiedName)

### computeSortedImports

    public java.lang.String computeSortedImports()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.